com.singularsys.jep

## Interface ParserVisitor

- All Known Implementing Classes:
    DeepCopyVisitor, DoNothingVisitor, ExpressionConsolidator, FastEvaluator, ImportationVisitor, PrintVisitor, StackCheckingFastEvaluator, StandardEvaluator, SubstitutionVisitor, ThreadSafeEvaluator

      public interface ParserVisitor

  Classes which wish to use the visitor pattern should use this interface. To use the visitor pattern a class should call `Node.jjtAccept(ParserVisitor, Object)` which will redirect to one of the methods below. To tranverse the whole tree the `visit(ASTFunNode, Object)` and `visit(ASTFunNode, Object)` should also call jjtAccept on each of their children.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `visit(ASTConstant node, java.lang.Object data)`
    `java.lang.Object` | `visit(ASTFunNode node, java.lang.Object data)`
    `java.lang.Object` | `visit(ASTOpNode node, java.lang.Object data)`
    `java.lang.Object` | `visit(ASTVarNode node, java.lang.Object data)`

- - ### Method Detail

    - #### visit

          java.lang.Object visit(ASTConstant node,
                                 java.lang.Object data)
                          throws JepException

      Throws:
        `JepException`

    - #### visit

          java.lang.Object visit(ASTFunNode node,
                                 java.lang.Object data)
                          throws JepException

      Throws:
        `JepException`

    - #### visit

          java.lang.Object visit(ASTVarNode node,
                                 java.lang.Object data)
                          throws JepException

      Throws:
        `JepException`

    - #### visit

          java.lang.Object visit(ASTOpNode node,
                                 java.lang.Object data)
                          throws JepException

      Throws:
        `JepException`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep